v7.4.1 is required for building, so we can drop the v7.2.1 workaround
authorGabor Greif <ggreif@gmail.com>
Wed, 29 Aug 2012 12:47:02 +0000 (14:47 +0200)
committerGabor Greif <ggreif@gmail.com>
Wed, 29 Aug 2012 12:47:02 +0000 (14:47 +0200)
mk/config.mk.in

index a3f75cd..0005ab0 100644 (file)
@@ -526,16 +526,6 @@ else
 GhcCanonVersion = $(GhcMajVersion)$(GhcMinVersion)
 endif
 
-# Work around #5453, which causes the stage1 compiler to segfault when
-# built with 7.2.1.
-ifeq "$(GhcVersion)" "7.2.1"
-CONF_HC_OPTS_STAGE0 += -fno-full-laziness
-compiler/cmm/Bitmap_HC_OPTS += -ffull-laziness
-# urgh.  Compiling cmm/Bitmap.hs with -fno-full-laziness results in 
-#   "gmp: overflow in mpz type"
-# for some unknown reason, so turn full-laziness back on for this module.
-endif
-
 GHC_PACKAGE_DB_FLAG = @GHC_PACKAGE_DB_FLAG@
 
 #-----------------------------------------------------------------------------